var token = $.cookie("token");
var id = helper.request.queryString("ids");
var CallID = helper.request.queryString("CallID");
var cusid;
$(document).ready(function() {
    if(id) {
        getRegisterDetail()
    } else if (CallID) {
        getRegisterDetailByCallId()
    }
})

//通过id获取登记详情
function getRegisterDetail() {
    $.get(huayi.config.callcenter_url + 'RegRecords/GetDetails', {
        id: id,
        "token": $.cookie("token")
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            var con = result.data.model;
            var conCus = result.data.cusmodel
            $("#detailRegisterCode").text(con.F_RecCode)
            $("#detailType").text(formatterRegisterType(con.F_Type)); //登记类型
            $("#detailName").text(con.F_userName); //姓名
            $("#detailPhone").text(con.F_userPhone); //电话
            $("#detailSex").text(con.F_userSex); //性别
            $("#detailProvince").text(con.F_userProvince); //省
            $("#detailCity").text(con.F_userCity); //市
            $("#detailCounty").text(con.F_userArea); //县/区
            $("#detailAddress").text(con.F_userAddress); //详细地址
            $("#detailComplained").text(con.F_Unit); //被投诉单位
            $("#detailContent").text(con.F_Content); //登记内容/投诉事项
            $("#detailRemark").text(con.F_Remark); //备注
            $("#detailCreateBy").text(con.F_CreateBy); //登记人
            $("#detailCreateOn").text(con.F_CreateOn); //登记时间
            $("#detailComplainedUnitOffice").text(con.F_UnitOffice); //投诉单位办事处
            $("#detailComplaintUndertaker").text(con.F_CaseParty); //投诉案件承办人
            $("#detailQuestionLevel").text(con.F_CaseParty); //咨询问题级别
            $("#detailQuestionType").text(con.F_ProblemTypeB); //咨询问题类型
            $("#detailCitizenClassification").text(con.F_CitizensType); //市民分类
            $("#detailPutRecord").text(con.F_PutRecord); //是否立案
        }
    })
}

//通过callid获取详情
function getRegisterDetailByCallId() {
    $.get(huayi.config.callcenter_url + 'RegRecords/GetCallidDetails', {
        callid: CallID,
        "token": $.cookie("token")
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            var con = result.data.model;
            var conCus = result.data.cusmodel
            $("#detailRegisterCode").text(con.F_RecCode)
            $("#detailType").text(formatterRegisterType(con.F_Type)); //登记类型
            $("#detailName").text(con.F_userName); //姓名
            $("#detailPhone").text(con.F_userPhone); //电话
            $("#detailSex").text(con.F_userSex); //性别
            $("#detailProvince").text(con.F_userProvince); //省
            $("#detailCity").text(con.F_userCity); //市
            $("#detailCounty").text(con.F_userArea); //县/区
            $("#detailAddress").text(con.F_userAddress); //详细地址
            $("#detailComplained").text(con.F_Unit); //被投诉单位
            $("#detailContent").text(con.F_Content); //登记内容/投诉事项
            $("#detailRemark").text(con.F_Remark); //备注
            $("#detailCreateBy").text(con.F_CreateBy); //登记人
            $("#detailCreateOn").text(con.F_CreateOn); //登记时间
            $("#detailComplainedUnitOffice").text(con.F_UnitOffice); //投诉单位办事处
            $("#detailComplaintUndertaker").text(con.F_CaseParty); //投诉案件承办人
            $("#detailQuestionLevel").text(con.F_CaseParty); //咨询问题级别
            $("#detailQuestionType").text(con.F_ProblemTypeB); //咨询问题类型
            $("#detailCitizenClassification").text(con.F_CitizensType); //市民分类
            $("#detailPutRecord").text(con.F_PutRecord); //是否立案
        }
    })
}

//登记类型
function formatterRegisterType(val) {
    var formatterRegisterTypeArr = ["", "咨询", "投诉", "求助", "其他"]
    return formatterRegisterTypeArr[val]
}

